sensorfw: Lid Class Reference

sensorfw

Public Member Functions | Public Attributes | Properties | Friends | List of all members
Lid Class Reference

QObject facade for LidData. More...

`#include <lid.h>`

Inheritance diagram for Lid:

## Public Member Functions
| Lid ()
| Default constructor. More...
| Lid (const LidData &lidData)
| Constructor. More...
| Lid (const Lid &lid)
| Copy constructor. More...
const LidData & | lidData () const
| Returns the contained LidData. More...
LidData::Type | type () const
| Returns Lid type. More...

## Public Attributes
unsigned | value_

## Properties
int | type

## Friends
const QDBusArgument & | operator>> (const QDBusArgument &argument, Lid &lid)
| Unmarshall Lid data from the D-Bus argument. More...

## Detailed Description

QObject facade for LidData.

Definition at line 36 of file lid.h.

## Constructor & Destructor Documentation

## ◆ Lid() [1/3]

Lid::Lid | ( |  | ) |
| inline

Default constructor.

Definition at line 47 of file lid.h.

## ◆ Lid() [2/3]

Lid::Lid | ( | const LidData & | lidData | ) |

Constructor.

Parameters

  lidData | Source object.

## ◆ Lid() [3/3]

Lid::Lid | ( | const Lid & | lid | ) |

Copy constructor.

Parameters

  lid | Source object.

## Member Function Documentation

## ◆ lidData()

const LidData & Lid::lidData | ( |  | ) | const
| inline

Returns the contained LidData.

Returns
  LidData

Definition at line 67 of file lid.h.

## ◆ type()

LidData::Type Lid::type | ( |  | ) | const
| inline

Returns Lid type.

Returns
  Lid type.

Definition at line 73 of file lid.h.

## Friends And Related Function Documentation

## ◆ operator>>

const QDBusArgument & operator>> | ( | const QDBusArgument & | argument,
|  | Lid & | lid
| ) |  |
| friend

Unmarshall Lid data from the D-Bus argument.

Parameters

  argument | dbus argument.
  lid | unmarshalled data.

Returns
  dbus argument.

Definition at line 107 of file lid.h.

## Member Data Documentation

## ◆ value_

unsigned Lid::value_

Definition at line 75 of file lid.h.

## Property Documentation

## ◆ type

int Lid::type
| read

Definition at line 107 of file lid.h.

The documentation for this class was generated from the following file:

- datatypes/lid.h